/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 10:37:22
 * @FilePath: /202103/code/test/tmp/Series.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const Series = sequelize.define('series', {
  id: {type: Sequelize.STRING(16), allowNull: false, primaryKey: true}, // id,
  study_id: {type: Sequelize.STRING(32), allowNull: false, defaultValue: ''}, // study_id,
  seriesuid: {type: Sequelize.STRING(100), allowNull: false, defaultValue: ''}, // seriesuid,
  seriesNum: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // seriesNum,
  modality: {type: Sequelize.STRING(10), allowNull: false, defaultValue: ''}, // modality, 检查类型
  seriesDescription: {type: Sequelize.STRING(100), allowNull: true, defaultValue: null}, // seriesDescription,
  ext: {type: Sequelize.STRING(1024), allowNull: true, defaultValue: null}, // ext,
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['study_id']}
  ],
});
Series.sync({ force: false }).then(function() {});
export default Series;